TARGETS += memory-access-test

CXX_FLAGS += -Isequential-architectures/memory-access-test

MEMORY_ACCESS_OBJECTS = sequential-architectures/memory-access-test/memory-access-test.o \
                        sequential-architectures/memory-access-test/MemoryAccessConfig.o \
                        TimerRT.o \
                        CPUCyclesCounter.o \
                        PapiCounter.o

MEMORY_ACCESS_SOURCES = sequential-architectures/memory-access-test/memory-access-test.cpp \
                        sequential-architectures/memory-access-test/MemoryAccessConfig.cpp

MEMORY_ACCESS_HEADERS = sequential-architectures/memory-access-test/ArrayElement.h \
                        sequential-architectures/memory-access-test/MemoryAccessConfig.h

OBJECTS += $(MEMORY_ACCESS_OBJECTS)

SOURCES += $(MEMORY_ACCESS_SOURCES) $(MEMORY_ACCESS_HEADERS)

MAKEFILES += sequential-architectures/memory-access-test/Makefile

memory-access-test: $(MEMORY_ACCESS_OBJECTS)
	$(CXX) $(MEMORY_ACCESS_OBJECTS) $(LD_FLAGS) -o memory-access-test
